#!/bin/bash

# Référencement de variables indirectes.
# Ceci a quelques-uns des attributs du C++.


a=lettre_de_l_alphabet
lettre_de_l_alphabet=z

echo "a = $a"           # Référence directe.

echo "Maintenant a = ${!a}"    # Référence indirecte.
# La notation ${!variable} est bien supérieure à l'ancien "eval var1=\$$var2"

echo

t=cellule_table_3
cellule_table_3=24
echo "t = ${!t}"        # t = 24
cellule_table_3=387
echo "La valeur de t a changé en ${!t}"    # 387

# Ceci est utile pour référencer les membres d'un tableau ou d'une table, 
# ou pour simuler un tableau multi-dimensionnel.
#  Une option d'indexage (analogue à un pointeur arithmétique) aurait été bien.
#+ Sigh.

exit 0
